# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Log/Dispatch.pm) perl(Module/Runtime.pm) perl(Term/ANSIColor.pm) perl(Term/GentooFunctions.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/Pod.pm) perl(Unicode/UTF8.pm) perl(parent.pm) perl(Term/Size.pm)
# END SourceDeps(oneline)
%define module_name Log-Dispatch-Screen-Gentoo
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: Gentoo-colored screen logging output
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/X/XS/XSAWYERX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This implements a colorful output that uses the Term::GentooFunctions manpage to
print out the output.

It also works with indentation when using `eindent' and `eoutdent' from
the Term::GentooFunctions manpage.

If you have the Unicode::UTF8 manpage available, it will use that to support UTF-8
character encodings. (This is much faster than the Encode manpage.)

One limitation this has is that there are only three colors, which means
that you cannot see a difference between levels `debug', `notice', and
`info' which all have a green color, or between `error', `critical',
`alert', and `emergency' which all have a red color.

At least for now.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/L*

%changelog
* Thu Mar 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

